﻿@using MIMS.Portal.Commons.Extensions;

<script src="~/app-assets2/vendors/js/toastr/toastr.min.js"></script>

<script type="text/javascript">
    $(document).ready(function () {
        debugger;
        toastr.options = {
            "rtl": true,
            "closeButton": true,
            "debug": false,
            "newestOnTop": false,
            "progressBar": true,
            "positionClass": "toast-bottom-left",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "1000",
            "timeOut": "5000",
            "extendedTimeOut": "1000",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        };

        @if (Toastrs.ToastrsList.Count() > 0)
            {<text>
        var messages = '@Html.Raw(Toastrs.FetchList())';

        $.each(JSON.parse(messages), function (i, item) {
            debugger;
            if (item.Style == 'success')
                toastr.success(item.Content, item.Subject);
            if (item.Style == 'error')
                toastr.error(item.Content, item.Subject);
            if (item.Style == 'warning')
                toastr.warning(item.Content, item.Subject);
            if (item.Style == 'info')
                toastr.info(item.Content, item.Subject);
            });
    </text>}
        });
</script>